#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Test-Fatal
Version		:	0.014
Release		:	14.8.0.0%{?dist}
Summary		:	Incredibly simple helpers for testing code with exceptions

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
Test::Fatal is an alternative to the popular Test::Exception.
It does much less, but should allow greater flexibility in
testing exception-throwing code with about the same amount
of typing.

It exports one routine by default: exception.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/Test/Fatal.pm
%{_mandir}/man3/Test::Fatal.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

